package trismegistoplanilla.beans;

import java.io.Serializable;

public class ReportePersonalBean implements Serializable {

  private static final long serialVersionUID = -1934667977977432599L;

  // personal
  private String codigoPersona;
  private String apellidoPaterno;
  private String apellidoMaterno;
  private String nombre;
  private String tipoDocumento;
  private String numeroDocumento;
  private String sexo;
  private String estadoCivil;
  private String fechaNacimiento;
  private String nacionalidad;
  private String ubigeoNacimiento;
  private String direccionDocumento;
  private String telefonoFijo;
  private String telefonoMovil;
  private String correoPersonal;
  private String correoCorporativo;
  private String ubigeoResidencia;
  private String direccionResidencia;
  private String coordenadasDireccionResidencia;
  private String foto;
  private String ruc;
  private String tieneFondoPension;
  private String fondoPension;
  private String enlaceAlfresco;
  private String tieneCorreo;
  private String sede;
  private String area;
  private String cargo;
  private String fechaIngreso;
  private String fechaTermino;
  private String cantidadParentesco;

  // carga familiar
  private String codigoCargaFamiliar;
  private String apellidoPaternoParentesco;
  private String apellidoMaternoParentesco;
  private String nombreParentesco;
  private String tipoDocumentoParentesco;
  private String numeroDocumentoParentesco;
  private String tipoParentesco;

  public String getCodigoPersona() {
    return codigoPersona;
  }

  public void setCodigoPersona(String codigoPersona) {
    this.codigoPersona = codigoPersona;
  }

  public String getApellidoPaterno() {
    return apellidoPaterno;
  }

  public void setApellidoPaterno(String apellidoPaterno) {
    this.apellidoPaterno = apellidoPaterno;
  }

  public String getApellidoMaterno() {
    return apellidoMaterno;
  }

  public void setApellidoMaterno(String apellidoMaterno) {
    this.apellidoMaterno = apellidoMaterno;
  }

  public String getNombre() {
    return nombre;
  }

  public void setNombre(String nombre) {
    this.nombre = nombre;
  }

  public String getTipoDocumento() {
    return tipoDocumento;
  }

  public void setTipoDocumento(String tipoDocumento) {
    this.tipoDocumento = tipoDocumento;
  }

  public String getNumeroDocumento() {
    return numeroDocumento;
  }

  public void setNumeroDocumento(String numeroDocumento) {
    this.numeroDocumento = numeroDocumento;
  }

  public String getSexo() {
    return sexo;
  }

  public void setSexo(String sexo) {
    this.sexo = sexo;
  }

  public String getEstadoCivil() {
    return estadoCivil;
  }

  public void setEstadoCivil(String estadoCivil) {
    this.estadoCivil = estadoCivil;
  }

  public String getFechaNacimiento() {
    return fechaNacimiento;
  }

  public void setFechaNacimiento(String fechaNacimiento) {
    this.fechaNacimiento = fechaNacimiento;
  }

  public String getNacionalidad() {
    return nacionalidad;
  }

  public void setNacionalidad(String nacionalidad) {
    this.nacionalidad = nacionalidad;
  }

  public String getUbigeoNacimiento() {
    return ubigeoNacimiento;
  }

  public void setUbigeoNacimiento(String ubigeoNacimiento) {
    this.ubigeoNacimiento = ubigeoNacimiento;
  }

  public String getDireccionDocumento() {
    return direccionDocumento;
  }

  public void setDireccionDocumento(String direccionDocumento) {
    this.direccionDocumento = direccionDocumento;
  }

  public String getTelefonoFijo() {
    return telefonoFijo;
  }

  public void setTelefonoFijo(String telefonoFijo) {
    this.telefonoFijo = telefonoFijo;
  }

  public String getTelefonoMovil() {
    return telefonoMovil;
  }

  public void setTelefonoMovil(String telefonoMovil) {
    this.telefonoMovil = telefonoMovil;
  }

  public String getCorreoPersonal() {
    return correoPersonal;
  }

  public void setCorreoPersonal(String correoPersonal) {
    this.correoPersonal = correoPersonal;
  }

  public String getCorreoCorporativo() {
    return correoCorporativo;
  }

  public void setCorreoCorporativo(String correoCorporativo) {
    this.correoCorporativo = correoCorporativo;
  }

  public String getUbigeoResidencia() {
    return ubigeoResidencia;
  }

  public void setUbigeoResidencia(String ubigeoResidencia) {
    this.ubigeoResidencia = ubigeoResidencia;
  }

  public String getDireccionResidencia() {
    return direccionResidencia;
  }

  public void setDireccionResidencia(String direccionResidencia) {
    this.direccionResidencia = direccionResidencia;
  }

  public String getCoordenadasDireccionResidencia() {
    return coordenadasDireccionResidencia;
  }

  public void setCoordenadasDireccionResidencia(String coordenadasDireccionResidencia) {
    this.coordenadasDireccionResidencia = coordenadasDireccionResidencia;
  }

  public String getFoto() {
    return foto;
  }

  public void setFoto(String foto) {
    this.foto = foto;
  }

  public String getRuc() {
    return ruc;
  }

  public void setRuc(String ruc) {
    this.ruc = ruc;
  }

  public String getTieneFondoPension() {
    return tieneFondoPension;
  }

  public void setTieneFondoPension(String tieneFondoPension) {
    this.tieneFondoPension = tieneFondoPension;
  }

  public String getFondoPension() {
    return fondoPension;
  }

  public void setFondoPension(String fondoPension) {
    this.fondoPension = fondoPension;
  }

  public String getEnlaceAlfresco() {
    return enlaceAlfresco;
  }

  public void setEnlaceAlfresco(String enlaceAlfresco) {
    this.enlaceAlfresco = enlaceAlfresco;
  }

  public String getTieneCorreo() {
    return tieneCorreo;
  }

  public void setTieneCorreo(String tieneCorreo) {
    this.tieneCorreo = tieneCorreo;
  }

  public String getSede() {
    return sede;
  }

  public void setSede(String sede) {
    this.sede = sede;
  }

  public String getArea() {
    return area;
  }

  public void setArea(String area) {
    this.area = area;
  }

  public String getCargo() {
    return cargo;
  }

  public void setCargo(String cargo) {
    this.cargo = cargo;
  }

  public String getFechaIngreso() {
    return fechaIngreso;
  }

  public void setFechaIngreso(String fechaIngreso) {
    this.fechaIngreso = fechaIngreso;
  }

  public String getFechaTermino() {
    return fechaTermino;
  }

  public void setFechaTermino(String fechaTermino) {
    this.fechaTermino = fechaTermino;
  }

  public String getCodigoCargaFamiliar() {
    return codigoCargaFamiliar;
  }

  public void setCodigoCargaFamiliar(String codigoCargaFamiliar) {
    this.codigoCargaFamiliar = codigoCargaFamiliar;
  }

  public String getApellidoPaternoParentesco() {
    return apellidoPaternoParentesco;
  }

  public void setApellidoPaternoParentesco(String apellidoPaternoParentesco) {
    this.apellidoPaternoParentesco = apellidoPaternoParentesco;
  }

  public String getApellidoMaternoParentesco() {
    return apellidoMaternoParentesco;
  }

  public void setApellidoMaternoParentesco(String apellidoMaternoParentesco) {
    this.apellidoMaternoParentesco = apellidoMaternoParentesco;
  }

  public String getNombreParentesco() {
    return nombreParentesco;
  }

  public void setNombreParentesco(String nombreParentesco) {
    this.nombreParentesco = nombreParentesco;
  }

  public String getTipoDocumentoParentesco() {
    return tipoDocumentoParentesco;
  }

  public void setTipoDocumentoParentesco(String tipoDocumentoParentesco) {
    this.tipoDocumentoParentesco = tipoDocumentoParentesco;
  }

  public String getNumeroDocumentoParentesco() {
    return numeroDocumentoParentesco;
  }

  public void setNumeroDocumentoParentesco(String numeroDocumentoParentesco) {
    this.numeroDocumentoParentesco = numeroDocumentoParentesco;
  }

  public String getTipoParentesco() {
    return tipoParentesco;
  }

  public void setTipoParentesco(String tipoParentesco) {
    this.tipoParentesco = tipoParentesco;
  }

  public String getCantidadParentesco() {
    return cantidadParentesco;
  }

  public void setCantidadParentesco(String cantidadParentesco) {
    this.cantidadParentesco = cantidadParentesco;
  }

}
