package trismegistoplanilla.servicesMysql;

import org.json.JSONObject;
import trismegistoplanilla.dao.DAOFactory;
import trismegistoplanilla.dao.VacanteDAO;

public class VacanteService {

  DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
  VacanteDAO dao = daoFactory.getVacanteDAO();

  public JSONObject listarVacanteDT(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarVacanteDT(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject registrarVacante(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.registrarVacante(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject validarVacante(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.validarVacante(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject validarVacanteFicha(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.validarVacanteFicha(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject listarVacanteSimpleTable(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarVacanteSimpleTable(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject generarVacante(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.generarVacante(datos);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

}
