
/* global getNode, globalListado, request */

const accionBuscar = {
  obtenerValoresCriterioBusqueda() {
    let json = {};
    if (!isNaN(getNode('#cboCriterioBusqueda').value)) {
      let codigoCriterio = parseInt(getNode('#cboCriterioBusqueda').value)
      if (codigoCriterio === 1) {
        globalListado.TIPO_DOCUMENTO.numeroDocumento = getNode('#txtNumeroDocumento').value.toUpperCase().trim();
        json = globalListado.TIPO_DOCUMENTO;
      } else if (codigoCriterio === 2) {
        globalListado.APELLIDOS.apellidos = getNode('#txtApellidos').value.toUpperCase().trim()
        json = globalListado.APELLIDOS;
      } else if (codigoCriterio === 3) {
        globalListado.FECHA_REGISTRO.fechaRegistro = getNode('#dpFechaRegistro').value.trim();
        json = globalListado.FECHA_REGISTRO;
      }
    } else {
      json = {};
    }
    return json;
  },

  buscarFichasPendientes() {
    let json = JSON.stringify(this.obtenerValoresCriterioBusqueda());
    request.buscarFichasPendientes(json);
  },

  redireccionarFicha() {
    $('#tblListadoFichaPendiente tbody').on('click', '.verDetalleFichaAdministrativa', (e) => {
      const data = $('#tblListadoFichaPendiente').DataTable().row($(e.currentTarget).parents('tr')).data();
      request.obtenerDatosFicha(data.codigoPersona).then(response => {
        window.location = 'fichaAdministrativa.jsp';
        window.name = JSON.stringify(response.data.persona);
      });
    });
  }
}

accionBuscar.buscarFichasPendientes();
accionBuscar.redireccionarFicha();
