<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@include file="templates/validar.jsp"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <!--Estilos plantilla-->
    <%@include file="templates/header.jsp" %>
    <!--Estilos plantilla-->

    <!--Estilos propios-->
    <!--<link href="../js/lib/jquery-confirm-master/jquery-confirm.min.css" rel="stylesheet" type="text/css"/>-->
    <!--Estilos propios-->
    <link href="../css/pages/colors.css" rel="stylesheet" type="text/css"/>
    <link href="../css/pages/general.css" rel="stylesheet" type="text/css"/>


  </head>
  <body onload="cargar();">

    <input id="codTitulo" type="hidden" value="<%= menu != null ? menu.getCodigoTitulo() : "0"%>">
    <input id="codModulo" type="hidden" value="<%= menu != null ? menu.getCodigoModulo() : "0"%>">
    <input id="codCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoCategoria() : "0"%>">
    <input id="codSubCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoSubcategoria() : "0"%>">

    <!--navbar - sidebar-->
    <%@include file="templates/header-body.jsp" %>
    <!--navbar - sidebar-->

    <%@include file="templates/page-header.jsp" %>


    <!--contenido-->

    <!-- ------------------------------------------------------------------------------------------------------ -->
    <!-- ------------------------------- Panel de busqueda de fichas pendientes ------------------------------- -->
    <!-- ------------------------------------------------------------------------------------------------------ -->

    <div class="row" style="display: flex; justify-content: center">
      <div class="col-md-3">
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-search fa-lg"></i>&nbsp;&nbsp;Filtrado de tipos de ficha
            </h6>
          </div>
          <div class="panel-body">
            <form action="#" method="post" id="formFiltroFichas" name="formFiltroFichas">
              <div class="row">
                <div class="col-md-12" id="divCriterioFiltroFicha">
                  <div class="form-group">
                    <label for="cboCriterioFiltroFicha" class="text-semibold">Filtro por criterio <span class="text-danger">(*)</span></label>
                    <select class="bootstrap-select" data-width="100%" id="cboCriterioFiltroFicha" name="cboCriterioFiltroFicha">
                      <option value="0">[TODOS]</option>
                      <option value="1">ADMINISTRATIVO</option>
                      <option value="2">DOCENTE SECUNDARIA</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12 text-danger text-right text-semibold">
                  (*) Campos obligatorios
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-file fa-lg"></i>&nbsp;&nbsp;Listado de fichas
              <a class="heading-elements-toggle"><i class="icon-more"></i></a>
            </h6>
            <div class="heading-elements">
              <button type="button" id="btnGenerarLote" class="btn btn-success btn-xlg text-uppercase text-semibold tp-header-right-table-button">
                <i class="fa fa-check-square-o fa-lg position-left"></i> Generar lote
              </button>
            </div>
          </div>
          <table class="table table-bordered table-striped table-framed table-xxs" id="tblFichasPendientes">
            <thead>
              <tr>
                <th class="text-center" rowspan="2" style="width: 10px;"><input type="checkbox" class="control-primary checkbox-head"></th>
                <th class="text-center" rowspan="2">APELLIDOS Y NOMBRES</th>
                <th class="text-center" rowspan="2">NRO DOCUMENTO</th>
                <th class="text-center" rowspan="2">SEDE</th>
                <th class="text-center" rowspan="2">AREA</th>
                <th class="text-center" rowspan="2">CARGO</th>
                <th class="text-center" colspan="4">COSTOS</th>
              </tr>
              <tr>
                <th class="text-center">Mensual</th>
                <th class="text-center">Pago A</th>
                <th class="text-center">Pago B</th>
                <th class="text-center">Pago C</th>
              </tr>
            </thead>
          </table>
        </div>
      </div>
    </div>

    <!--contenido-->


    <!--javascript plantilla-->
    <%@include file="templates/footer-body.jsp" %>

    <!--datatable-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/datatables.min.js"></script>
    <!--<script type="text/javascript" src="../plantilla/assets/js/plugins/forms/selects/select2.min.js"></script>-->
    <!--checkbox-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/styling/switch.min.js"></script>
    <!--checkbox-->

    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/extensions/responsive.min.js"></script>
    <!--datatable-->


    <!--select-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/selects/bootstrap_select.min.js"></script>

    <!--jqueryconfirm-->
    <script src="../js/lib/jquery-confirm-master/jquery-confirm.min.js" type="text/javascript"></script>
    <!--jqueryconfirm-->

    <!--javascript general-->
    <script src="../js/pages/general.js" type="text/javascript"></script>
    <!--javascript general-->

    <!--javascript propios-->
    <script src="../js/pages/menu.js" type="text/javascript"></script>
    <!--javascript propios-->
    <script src="../js/pages/bandejaPresidencia.js" type="text/javascript"></script>

  </body>
</html>
<%    }
%>
