<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@include file="templates/validar.jsp"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <!--Estilos plantilla-->
    <%@include file="templates/header.jsp" %>
    <!--Estilos plantilla-->

    <!--Estilos propios-->
    <!--<link href="../js/lib/jquery-confirm-master/jquery-confirm.min.css" rel="stylesheet" type="text/css"/>-->
    <!--Estilos propios-->

    <style>
      a.editable.editable-click::before {
        content: 'S/. ';
        /* border-bottom: 2px solid; */
        color: black;
        font-weight: bold;
      }

      .tp-error-input-observacion{
        border: 1px solid #F44336;
      }
      .datatable-footer{
        display: none;
      }
      b{
        font-size:16px;
      }
    </style>
    <link href="../css/pages/colors.css" rel="stylesheet" type="text/css"/>
    <link href="../css/pages/general.css" rel="stylesheet" type="text/css"/>
  </head>

  <body class="sidebar-xs" onload="cargar();" >

    <input id="codTitulo" type="hidden" value="<%= menu != null ? menu.getCodigoTitulo() : 0%>">
    <input id="codModulo" type="hidden" value="<%= menu != null ? menu.getCodigoModulo() : 0%>">
    <input id="codCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoCategoria() : 0%>">
    <input id="codSubCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoSubcategoria() : 0%>">

    <!--navbar - sidebar-->
    <%@include file="templates/header-body.jsp" %>
    <!--navbar - sidebar-->

    <%@include file="templates/page-header.jsp" %>


    <!--contenido-->
    <form action="../DetalleLoteFichaDocenteServlet" method="post" id="formPDF" target="_blank">
      <input type="hidden" name="accion" value="imprimirLote" />
      <input type="hidden" name="numeroLote" id="numeroLote" value="" />
      <input type="hidden" name="numeroFilas" id="numeroFilas" value="" />
      <input type="hidden" name="data" id="data" value="" />
    </form>

    <div class="row" style="display: flex; justify-content: center">
      <div class="col-md-3">
        <div class="panel-heading bg-primary">
          <h6 class="panel-title text-semibold">
            <i class="fa fa-folder-open fa-lg"></i>&nbsp;&nbsp;Información del lote
          </h6>
        </div>
        <div class="panel panel-body no-border-top no-border-radius-top">
          <div class="form-group mt-5">
            <label class="text-semibold">Número de lote:</label>
            <span id="lblNumeroLote" class="pull-right-sm text-bold"></span>
          </div>
          <div class="form-group">
            <label class="text-semibold">Tipo de lote:</label>
            <span id="lblTipoLote" class="pull-right-sm text-bold"></span>
          </div>
          <div class="form-group">
            <label class="text-semibold">Fecha de registro:</label>
            <span id="lblFechaRegistro" class="pull-right-sm text-bold"></span>
          </div>
          <div id="divEstadoLote">

          </div>
          <div class="form-group">
            <label class="text-semibold">Cantidad de fichas:</label>
            <span style="font-size: 20px;" id="lblCantidadFichas" class="pull-right-sm text-bold"></span>
          </div>

        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-file fa-lg"></i>&nbsp;&nbsp;Listado de fichas
            </h6>
            <div class="heading-elements">
              <button type="button" class="btn bg-success btn-lg text-semibold text-uppercase tp-header-right-table-button" id="btnImprimir">
                <i class="fa fa-print fa-lg position-left"></i> Imprimir
              </button>
            </div>
          </div>
          <table class="table table-bordered table-xxs" id="tblFichas">
            <thead id="tblFichasHead">

            </thead>
            <tbody>

            </tbody>
          </table>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12 text-center">
        <button style="width: 185px; height: 35px;" class="btn bg-primary text-uppercase text-semibold btn-xlg tp-btn-evaluar"><i style="font-size:22px;" class="fa fa-check fa-lg position-left"></i> Actualizar</button>
        <button style="width: 185px; height: 35px;" class="btn bg-orange text-uppercase text-semibold btn-xlg" onclick="javascript:history.back();"><i style="font-size:22px;" class="fa fa-arrow-left fa-lg position-left"></i> Regresar</button>
      </div>
    </div>

    <!--contenido-->


    <!--javascript plantilla-->
    <%@include file="templates/footer-body.jsp" %>

    <!--editable form-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/editable/editable.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/inputs/touchspin.min.js"></script>
    <!--editable form-->

    <!--datatable-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/datatables.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/extensions/responsive.min.js"></script>
    <!--datatable-->

    <script src="../js/lib/jquery-confirm-master/jquery-confirm.min.js" type="text/javascript"></script>

    <!--javascript general-->
    <script src="../js/pages/general.js" type="text/javascript"></script>
    <!--javascript general-->

    <!--javascript propios-->
    <script src="../js/pages/menu.js" type="text/javascript"></script>
    <!--javascript propios-->

    <script src="../js/pages/detalleLoteDocente.js" type="text/javascript"></script>

  </body>
</html>
<%    }
%>
